import api from '@/api'
import { listSearchMixin } from '@/config/mixin'

//  身份证识别请求函数  
export function cardIdentify(imageUrl, ocrType, app) {
  app.sendReq({
    url: api.cardRecognition,
    method: "POST",
    data: {
      imageUrl,
      ocrType
    }
  }, (res) => {
    // console.log(res)
    if (ocrType == 0) {
      app.idType = "身份证"
      app.personalForm.subjectIdCard = res.data.cardNum
      app.personalForm.subjectOperator = res.data.name
    }
  })
}

//  营业执照识别请求函数  status 0 表示个体商户 1 表示企业商户
export function businessIdentify(fileUrl, app, status) {
  // console.log(app);
  app.sendReq({
    url: api.businessRecognition,
    method: "POST",
    data: {
      fileUrl
    }
  }, (res) => {
    // console.log(res);
    const { data: { words_result } } = res;
    //  单词太长 这边简化一下 
    const from = app.personalForm;
    if (!words_result) {
      return
    } else if (status == 0) {
      //  商户名称
      from.subjectName = words_result["单位名称"].words
      //  社会信用代码
      from.subjectCode = words_result["社会信用代码"].words
      //  注册地址
      from.subjectRegion = words_result["地址"].words
      //  详细地址
      from.subjectAdress = "."
      //  营业开始时间
      from.subjectStartTime = words_result["成立日期"].words
      //  营业结束时间
      from.subjectEndTime = words_result["有效期"].words
    } else if (status == 1) {
      //  企业名称
      from.enterpriseName = words_result["单位名称"].words
      //  社会信用代码
      from.enterpriseCode = words_result["社会信用代码"].words
      //  注册地址
      from.enterpriseRegion = words_result["地址"].words
      //  详细地址
      from.enterpriseAdress = "."
      //  营业开始时间
      from.enterpriseStartTime = words_result["成立日期"].words
      //  营业结束时间
      from.enterpriseEndTime = words_result["有效期"].words
    }
  })
}

//  刷新页面保存当前数据
export function saveData(app) {
  //  页面刷新保存数据
  window.addEventListener("beforeunload", () => {
    localStorage.setItem('pageData', JSON.stringify(app.personalForm));
  })
  window.addEventListener("load", () => {
    let dataList = localStorage.getItem("pageData");
    // console.log(dataList);
    if (dataList) {
      app.personalForm = JSON.parse(dataList)
    }
  })
}